# frozen_string_literal: true
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: internal/module/server_info/rpc/rpc.proto

require 'google/protobuf'

require 'internal/module/server_info/server_info_pb'
require 'buf/validate/validate_pb'


descriptor_data = "\n)internal/module/server_info/rpc/rpc.proto\x12\x1cgitlab.agent.server_info.rpc\x1a-internal/module/server_info/server_info.proto\x1a\x1b\x62uf/validate/validate.proto\"\x16\n\x14GetServerInfoRequest\"w\n\x15GetServerInfoResponse\x12^\n\x13\x63urrent_server_info\x18\x01 \x01(\x0b\x32$.gitlab.agent.server_info.ServerInfoB\x06\xbaH\x03\xc8\x01\x01R\x13\x63urrent_server_info2\x8b\x01\n\nServerInfo\x12}\n\rGetServerInfo\x12\x32.gitlab.agent.server_info.rpc.GetServerInfoRequest\x1a\x33.gitlab.agent.server_info.rpc.GetServerInfoResponse\"\x03\x90\x02\x01\x42\\ZZgitlab.com/gitlab-org/cluster-integration/gitlab-agent/v17/internal/module/server_info/rpcb\x06proto3"

pool = Google::Protobuf::DescriptorPool.generated_pool
pool.add_serialized_file(descriptor_data)

module Gitlab
  module Agent
    module ServerInfo
      module Rpc
        GetServerInfoRequest = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("gitlab.agent.server_info.rpc.GetServerInfoRequest").msgclass
        GetServerInfoResponse = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("gitlab.agent.server_info.rpc.GetServerInfoResponse").msgclass
      end
    end
  end
end
